'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
// The capture group makes sure that the split contains the interpolation index
var placeholderRegex = /__PLACEHOLDER_(\d+?)__/;

// Matches strings that contain an opening curly brace on the same line
var startsWithCurlyBrace = exports.startsWithCurlyBrace = function startsWithCurlyBrace(str) {
  return (/^([^\n\r\}:;]+?)?\{/.test(str)
  );
};

// Generates a placeholder from an index
var makePlaceholder = exports.makePlaceholder = function makePlaceholder(index) {
  return `__PLACEHOLDER_${index}__`;
};

// Our temporary classname
var temporaryClassname = exports.temporaryClassname = '__TEMPORARY_CLASSNAME__';

// Checks whether the CSS already contains something that matches our placeholders
var containsPlaceholders = exports.containsPlaceholders = function containsPlaceholders(css) {
  return !!css.match(placeholderRegex);
};

// Splits CSS by placeholders
var splitByPlaceholders = exports.splitByPlaceholders = function splitByPlaceholders(css) {
  return css.split(placeholderRegex);
};